import { ImagePath } from "@/utils/imagePath";
import { Texts } from "@/utils/texts";

export function Religion() {
  return (
    <>
      <ul className="text-lg font-semibold text-gray-700 dark:text-gray-400">
        <li>
          <figcaption className="flex items-start justify-start space-x-4 md:space-x-10">
            <img
              src={ImagePath.r1}
              className="bg-gray-100 rounded-full py-2 px-4 md:py-14 md:px-16"
              alt="FlowBite Logo"
            />
            <div className="space-y-5 dark:text-white text-left">
              <div className="text-2xl ">Curiosity</div>
              <div className="text-xl font-normal ">
                No question is silly. No corner is out of bounds. We are not
                afraid or embarrassed to ask questions, probe the well-know and
                listen to what others have to say. In our holy pursuit,
                knowledge is sacred.
              </div>
            </div>
          </figcaption>
        </li>
        <li>
          <figcaption className="flex items-start justify-start space-x-4 md:space-x-10 mt-16">
            <img
              src={ImagePath.r2}
              className="bg-gray-100 rounded-full p-4 md:p-14"
              alt="FlowBite Logo"
            />
            <div className="space-y-5 dark:text-white text-left">
              <div className="text-2xl">Empathy</div>
              <div className="text-xl font-normal ">
                Our means to bring about the next cognitive revolution is AI -
                Authentic Intelligence. To build this, we rely more on empathy
                than on technology. Putting ourselves in the other persons (and
                machines) shoes is a tradition that we guard safely during
                casual conversations, meetings and research.
              </div>
            </div>
          </figcaption>
        </li>
        <li>
          <figcaption className="flex items-start justify-start space-x-4 md:space-x-10 mt-16">
            <img
              src={ImagePath.r3}
              className=" bg-gray-100 rounded-full p-4 md:p-14"
              alt="FlowBite Logo"
            />
            <div className="space-y-5 dark:text-white text-left">
              <div className="text-2xl">Responsibility</div>
              <div className="text-xl font-normal ">
                We realise what we are building could overpower us. That is why
                we follow responsible research, always keeping in mind the
                larger picture rather than smaller gains.
              </div>
            </div>
          </figcaption>
        </li>
        <li>
          <figcaption className="flex items-start justify-start space-x-4 md:space-x-10 mt-16">
            <img
              src={ImagePath.r4}
              className=" bg-gray-100 rounded-full p-4 md:p-14"
              alt="FlowBite Logo"
            />
            <div className="space-y-5  dark:text-white text-left">
              <div className="text-2xl">Cooperation</div>
              <div className="text-xl font-normal ">
                ANTL is also called Antelligent - after intelligent ants that
                solve Himalayan challenges through simple and effective
                cooperation. We value working with each other and how we could
                be better as a team than as isolated individuals. Too many cooks
                improve the broth.
              </div>
            </div>
          </figcaption>
        </li>
        <li>
          <figcaption className="flex items-start justify-start space-x-4 md:space-x-10 mt-16">
            <img
              src={ImagePath.r5}
              className=" bg-gray-100 rounded-full p-4 md:p-14"
              alt="FlowBite Logo"
            />
            <div className="space-y-5  dark:text-white text-left">
              <div className="text-2xl">Decentralization</div>
              <div className="text-xl font-normal ">
                As a fractal organization, we encourage individuals to operate
                independently, make their own decisions, and take ownership of
                their work. Leadership is distributed, promoting agility and
                adaptability.
              </div>
            </div>
          </figcaption>
        </li>
      </ul>
    </>
  );
}
