/** @type {import('tailwindcss').Config} */
const colors = require("tailwindcss/colors");

module.exports = {
  content: [
    './src/pages/**/*.{js,ts,jsx,tsx,mdx}',
    './src/components/**/*.{js,ts,jsx,tsx,mdx}',
    './src/app/**/*.{js,ts,jsx,tsx,mdx}',
    './node_modules/flowbite/**/*.js',
  ],
  theme: {
    extend: {
      backgroundColor: colors.grey,
      backgroundImage: {
        'cognitive': "url('/images/cognitive.svg')",

        // 'gradient-radial': 'radial-gradient(var(--tw-gradient-stops))',
        // 'gradient-conic':
        //   'conic-gradient(from 180deg at 50% 50%, var(--tw-gradient-stops))',
      },
      lineHeight: {
        '11': '3rem',
        '12': '4rem',
      },
      borderRadius: {
        '4xl': '4rem',
        '5xl': '5rem',

      }
    },
  },
  plugins: [
    require('flowbite/plugin')
  ],
}
